# Configure the Chromium browser with various useful things.
{ pkgs, ... }:

{
  environment.systemPackages = [
    (pkgs.chromium.override {
      enableWideVine = true; # DRM support (for Кинопоиск)
    })
  ];

  programs.chromium = {
    enable = true;
    homepageLocation = "about:blank";

    extensions = [
      "pejkokffkapolfffcgbmdmhdelanoaih" # Unsplash instant
      "cjpalhdlnbpafiamejdnhcphjbkeiagm" # uBlock Origin
      "gfapcejdoghpoidkfodoiiffaaibpaem" # Dracula theme
    ];

    extraOpts = {
      SpellcheckEnabled = true;
      SpellcheckLanguage = [
        "fr-FR"
        "en-GB"
        "ru"
      ];
    };
  };
}
